1 CompeGPS Pocket PRO special features

CompeGPS Pocket PRO has several special features that are useful to work with Geographic Information Systems and makes up a difference with CompeGPS Pocket Land.

This guide explains these extra specifications of the PRO version of CompeGPS Pocket, being valid for all the other functions the CompeGPS Pocket Land’s users’ guide.

Extra specifications:

  1. Open SHP vectorial maps.

  2. Edit SHP vectorial maps. This edition can be done while moving outdoor and showing our actual GPS position. We can also edit SHP maps with a background orthophoto.

  3. It is possible to edit the registers of the SHP associated database.

  4. Show two extra decimals of the UTM coordinates.

Limitations:

  1. The SHP files to edit should have small size, we recommend less than 1Mb.


2 How to open a SHP map

To open a SHP map we have to create an IMP file besides the SHP. This can be easily done with the PC version of CompeGPS. Follow next steps:

1. Select, from the main menu, Maps>Import maps.

2. Select the SHP file that has to be open.

3. In the next window, you Hill be asked for the projection and datum of the SHP file.

4. Save the resulting map with IMP extension.

5. Copy the SHP file, the other files (DBF, SHX) and the new IMP file in the Pocket PC.

6. To open that map from the Pocket PC, select File > Open map, and select the IMP file.


3 How to edit an SHP map

To modify an SHP file, follow the next steps:

1. Open the SHP map.

2. Press Edit vectorial map [image] button. Then all the map edition bar buttons will be activated.

3. See next subparagraphs to learn the functionality of these buttons.


3.1 Edition buttons

· Edit vector map [image]: Press this button to enable/disable the map edition..

· Layer Administrator [image] : From here you can change colors and other variables of the vectorial map layers. SHP maps only have one layer, so this button just edit the variables of this one

The properties we can find and edit in this window are:

o Type

o Name: Layer nameombre.

o Color: Color of this layer’s lines.

o Fill color: Color inside the polygons.

o Activated: Whether we an modify this layer (YES: activated) or not (NO: not activated).

o Zoom level: There is the chance to make this layer only visible when we are in certain zoom levels.

o Pixel thickness: On screen thickness of the line.

o Real thickness: Thickness of the line in the reality.

· Insert intermediate points [image] : If this button is pressed, we can add points to the selected polylines, simply clicking on the map. If this button is not selected we can’t add points, even when polygons are selected.

· Draw by dragging the mouse [image] : With this tool you can (when a polygon is selected) create an area with the pencil. Once the area is created, when you raise the pencil the program will ask you how you wish to modify the existing polygon:

o Add the created area: The polygon will be extended with the created area.

o Erase the created area: The perimeter will be modified erasing the intersection with the created area.

o Leave only the intersection: With this option, the polygon will be deleted and only the intersection with the created area will remain.

(Imágenes de la versión PC)

Note: If you create an area inside the polygon and “erase” it, a hole will be created. If the area is drawn fully outside and “added”, a floating part of the polygon will be created.

· Edit Polyline [image] : This button lets you see the properties of the selected polyline.

From this window, we can modify the information of the associated database.

· Delete Polilyne [image] : This button erases the selected polyline.

· Delete Point [image] : Press it and the selected point will be deleted.

· Undo [image] : This erases the last modification you made on the map.

· Create new polygon [image]: This tool will let us draw a new polygon inside the vector map.

o Press successively over the map to create the vertices of the polygon. From third point, the program will automatically draw a closing line for the polygon.

o It is possible to move the created points by pressing and dragging them with the PDA pencil.

· Properties *: This button will let us see the properties of the polygon we have selected right now. From this window we will be also able to see next polygons.


3.2 Edition using the pencil

When in edition mode, if you click on a polygon or polyline, this becomes selected.

When a polygon or polyline is selected, we can move (dragging) anyone of the polyline points.

If you have the insert intermediate points [image] button pressed, when you click at any point of the screen, a new point is created between the two that determinated the selected polyline.


3.3 Edition using the context menu

If the context menu is opened on a polygon or polyline (holding the pencil on it) the next options will be shown:

If the context menu is opened on an empty point (holding the pencil on it) the next options will be shown:

These options will let you execute the next operations:

· Properties: Shows the properties of the selected polygon.

· Delete polyline: Erases the selected polyline.

· Delete point: Erases, from the selected polyline, the point where the context menu has been opened.

· Duplicate Polygon: Creates a copy of the selected polygon, and enables its edition.

· Search Polygon: Searches, in the maps folder of CompePocket for some polygon of any other map that is located in the same position. If it is found, it is loaded.

· Create a new polygon/polyline: You can create new polygons or polylines but, due to the limitations of this format, when working with polygons it is not possible to create polylines and vice versa.


4 PRT file

SHP files can have an attached DBF database which adds information to polygons and polylines. CompeGPS can use a PRT file to interpret the information contained in DBF database. This way, the information which is showed in the program will be “translated” to make it easier to be understood by the user.

By editing PRT file following next instructions you will be able to adjust on-screen information to your needs (show or not, color, icon…).


4.1 Previous information

Example of PRT sintaxys:

version=1

DN_OID.visible=0

MUNICIPIO.modificable=0

USO_SIGPAC.item.ta=Tierra arrable

USO_SIGPAC.item.iv=hivernacles

USO_SIGPAC.item.th=horta

USO_SIGPAC.ocultarcon=xx

The file has to be in text format. First line has to be:

Version = 1

In the future, this version number may change.

Next lines are DBF field usage descriptions, with next format:

NOMBRE DEL CAMPO . command = value


4.2 Hide and protect fields

To make a DBF field non-visible:

CAMPO.visible=0

To make a DBF field visible, but not editable

CAMPO.modificable=0


4.3 Using a ComboBox for field values

If we want field to have several possible values, for example:

Ta => arable soil (tierra arable)

Iv => greenhouse (invernadero)

Th => orchard (huerta)

We have top use the command ‘item’ as follows:

USO_SIGPAC.item.ta=arable soil

USO_SIGPAC.item.iv=greenhouse

USO_SIGPAC.item.th=orchard


4.4 Polygon viewing modes

To se a different color depending on database field:

USO_SIGPAC.color.ta = 00FF00

USO_SIGPAC.color.iv = FF0000

To change margin color

USO_SIGPAC.Bcolor.ta = 00FF00

USO_SIGPAC.Bcolor.iv = FF0000

Finally, with free points, we can associate an icon to all icons of a kind:

USO_SIGPAC.icono.ta = tierra.bmp

USO_SIGPAC.icono.iv = inernadero.bmp


4.5 Crossed references

CAMPO.visible = (CAMPO2 == valor1)

CAMPO.modificable = (CAMPO2 == valor1)


4.6 Date field

We can program a field to show last modification date.

Campo.SaveDateChanged = 1


4.7 Icons for SHP of points

Icons can be used for SHP of points, regarding to a value in database.

CAMPO.icon.valor = icon name

For example

CATEGORIA.icon.O = waypoint

CATEGORIA.icon.N = Bell

CATEGORIA.icon.A = Pizza

Icons must be in BMP format, and in next folder: \Archivos de Programa\CompePocket\symbols\garmin


CompeGPS Pocket PRO Guide

(Addendum to CompeGPS Pocket Land Guide)


sadfsdfasd

CompeGPS Pocket PRO
(Addenda to CompeGPS Pocket Land Users’ guide)

CompeGPS Pocket PRO Guide

CompeGPS Team S.L.

support@compegps.com
http://www.compegps.com

Index

1 CompeGPS Pocket PRO special features. 2

2 How to open a SHP map. 2

3 How to edit an SHP map. 3

3.1 Edition buttons.. 3

3.2 Edition using the pencil. 6

3.3 Edition using the context menu.. 6

4 PRT file. 9

4.1 Previous information.. 9

4.2 Hide and protect fields.. 9

4.3 Using a ComboBox for field values.. 9

4.4 Polygon viewing modes.. 10

4.5 Crossed references.. 10

4.6 Date field.. 10

4.7 Icons for SHP of points.. 10